Đến nội dung


Hình ảnh
- - - - -

Lisp vẽ mặt cắt cầu thang !


  • Please log in to reply
8 replies to this topic

#1 chutuocttm

chutuocttm

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 December 2007 - 03:25 PM

Các bác có thể cho em xin 1 lisp vẽ mặt cắt cấu thang nhý sau ðýợc không ạ !
- Ðánh lệnh
- Pick ðiểm ðầu tiên
- Chọn hýớng vẽ thang
- Nhập chiều cao bậc thang
- Nhập bề rộng thang
- Nhập số bậc thang
- Ok
Em xin cảm õn trýớc ạ !rất mong ðýợc các bác giúp ðỡ !
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 17 December 2007 - 04:18 PM

Các bác có thể cho em xin 1 lisp vẽ mặt cắt cấu thang nhý sau ðýợc không ạ !
- Ðánh lệnh
- Pick ðiểm ðầu tiên
- Chọn hýớng vẽ thang
- Nhập chiều cao bậc thang
- Nhập bề rộng thang
- Nhập số bậc thang
- Ok
Em xin cảm õn trýớc ạ !rất mong ðýợc các bác giúp ðỡ !

Lệnh là VT (vẽ thang)


(defun c:vt( / p c r sb oldos)
(setq
p (getpoint "\nVao diem dau tien: ")
c (getdist p "\nVao chieu cao bac: ")
r (getdist p "\nVao chieu rong bac: ")
sb (getint "\nVao so bac: ")
oldos (getvar "osmode")
)
(setvar "osmode" 0)
(command ".pline")
(command p)
(repeat sb
(command (strcat "@0," (rtos c)))
(command (strcat "@" (rtos r) ",0"))
)
(command "")
(setvar "osmode" oldos)
(princ)
)

  • 7

#3 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 19 December 2007 - 07:39 AM

...
(repeat sb
(command (strcat "@0," (rtos c)))
(command (strcat "@" (rtos r) ",0"))
)

...


Fantastically! Thank you! :)
  • 0

#4 chutuocttm

chutuocttm

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 December 2007 - 07:45 AM

Em xin cảm õn các bác ạ ! Cadviet ðã giúp em rất nhiều !Em rất vui khi là 1 thành viên của cadviet !Cadviet là 1 kho tàng kiến thức của cad, và trong ðó thì các thành viên pro chính là nhân tố chính của kho tàng ðó !:)Mong ðýợc các bác giúp ðỡ nhiều hõn !
  • 0

#5 ngayve324

ngayve324

    biết lệnh xref

  • Members
  • PipPipPipPipPipPipPip
  • 515 Bài viết
Điểm đánh giá: 270 (khá)

Đã gửi 19 December 2007 - 02:21 PM

[Líp này mình cũng đang cần cám ơn các Pro!
  • 0

#6 hiepga1981

hiepga1981

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 21 December 2007 - 09:43 AM

bác Nguyen Hoanh siêu thật, e mới vào đây mà tìm được nhiều cái hay quá, mong VN có nhiều người như bác thì VN sắp phát triển bằng Mỹ rồi các bác ạ
  • 1

#7 lecorbuduong

lecorbuduong

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2009 - 12:48 PM

thank anh nguyễn hoành . chúc anh thành công hơn
  • 0

#8 dungtaeki2009

dungtaeki2009

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 November 2009 - 10:23 PM

Chào bạn!
Mình đọc những bài viết của bạn rất nhiều cái tiện ích cho việc vẽ Cad. Minh đang cần Lisp để vẽ những thang phức tạp trong 3D. Nhưng file minh download của bạn về Load nhưng không dùng được. Bạn có thể gửi cho minh xin dược không???? Địa chỉ mail của mình: dungtaeki2009@gmail.com
Cảm ơn bạn nhiều!
  • 0

#9 kunopro

kunopro

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 December 2012 - 10:12 AM

Lệnh là VT (vẽ thang)

(defun c:vt( / p c r sb oldos)  (setq    p (getpoint "\nVao diem dau tien: ")    c (getdist p "\nVao chieu cao bac: ")    r (getdist p "\nVao chieu rong bac: ")    sb (getint "\nVao so bac: ")    oldos (getvar "osmode")  )  (setvar "osmode" 0)    (command ".pline")  (command p)    (repeat sb    (command (strcat "@0," (rtos c)))    (command (strcat "@" (rtos r) ",0"))  )  (command "")  (setvar "osmode" oldos)  (princ))

Bác Hoành nhà ta thật là tuyệt vời..... Thanks bác rất nhiều @@
  • 0